USN-3762-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-3762-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3762-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3762-2
Related
Published
2018-09-11T02:48:07.698395Z
Modified
2018-09-11T02:48:07.698395Z
Summary
linux-hwe, linux-azure, linux-gcp vulnerabilities
Details

USN-3762-1 fixed vulnerabilities in the Linux kernel for Ubuntu 18.04 LTS. This update provides the corresponding updates for the Linux Hardware Enablement (HWE) kernel from Ubuntu 18.04 LTS for Ubuntu 16.04 LTS.

It was discovered that the VirtIO subsystem in the Linux kernel did not properly initialize memory in some situations. A local attacker could use this to possibly expose sensitive information (kernel memory). (CVE-2018-1118)

Seunghun Han discovered an information leak in the ACPI handling code in the Linux kernel when handling early termination of ACPI table loading. A local attacker could use this to expose sensitive informal (kernel address locations). (CVE-2017-13695)

References

Affected packages

Ubuntu:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-34.37~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-unsigned-4.15.0-34-lowlatency": "4.15.0-34.37~16.04.1",
            "linux-image-4.15.0-34-generic": "4.15.0-34.37~16.04.1",
            "linux-image-4.15.0-34-generic-lpae": "4.15.0-34.37~16.04.1",
            "linux-image-4.15.0-34-lowlatency": "4.15.0-34.37~16.04.1",
            "linux-image-unsigned-4.15.0-34-generic": "4.15.0-34.37~16.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1019.20~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-unsigned-4.15.0-1019-gcp": "4.15.0-1019.20~16.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1023.24~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-unsigned-4.15.0-1023-azure": "4.15.0-1023.24~16.04.1"
        }
    ]
}